getCloneTimbreList(params?: GetCloneTimbreListParams)

Requires:
@tuya-miniapp/cloud-api≥1.x.x

Description

Get the list of cloned timbres.

Parameters

ParameterTypeRequiredDescription
NoRequest parameters

Return Value

Type: Promise<GetCloneTimbreListResult>
GetCloneTimbreListResult (for field meanings, see the type definition and minituya response parameters)

Referenced Types

typeGetCloneTimbreListResult
CloneTimbre[]

Examples

Request example

import { getCloneTimbreList } from '@tuya-miniapp/cloud-api';

getCloneTimbreList()
  .then(result => {
    console.log('Timbre clone list:', result);
  })
  .catch(error => {
    console.error('Failed to query timbre clone list:', error);
  });

Response example

[
  {
    "cloneTimbreId": "k1jfEt7xKu",
    "voiceId": "voice_001",
    "voiceName": "My timbre",
    "state": 1,
    "gmtCreate": 1573441137000,
    "speed": 1,
    "tone": 1,
    "supportLangs": [
      "zh",
      "en"
    ]
  }
]